[BACK]Return to configure CVS log [TXT][DIR] Up to [local] / OpenXM / src / kxx

Diff for /OpenXM/src/kxx/configure between version 1.3 and 1.4

version 1.3, 2006/10/05 20:44:58 version 1.4, 2006/10/05 21:14:23
Line 309  ac_includes_default="\
Line 309  ac_includes_default="\
 # include <unistd.h>  # include <unistd.h>
 #endif"  #endif"
   
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT RANLIB ac_ct_RANLIB CFLAG2 CPP EGREP LIBOBJS LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT RANLIB ac_ct_RANLIB CFLAG2 CPP EGREP CFLAG2p LIBOBJS LTLIBOBJS'
 ac_subst_files=''  ac_subst_files=''
   
 # Initialize some variables set by options.  # Initialize some variables set by options.
Line 3432  else
Line 3432  else
 fi  fi
   
   
   if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then
     echo "$as_me:$LINENO: checking for sys/appleapiopts.h" >&5
   echo $ECHO_N "checking for sys/appleapiopts.h... $ECHO_C" >&6
   if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then
     echo $ECHO_N "(cached) $ECHO_C" >&6
   fi
   echo "$as_me:$LINENO: result: $ac_cv_header_sys_appleapiopts_h" >&5
   echo "${ECHO_T}$ac_cv_header_sys_appleapiopts_h" >&6
   else
     # Is the header compilable?
   echo "$as_me:$LINENO: checking sys/appleapiopts.h usability" >&5
   echo $ECHO_N "checking sys/appleapiopts.h usability... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   $ac_includes_default
   #include <sys/appleapiopts.h>
   _ACEOF
   rm -f conftest.$ac_objext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     (eval $ac_compile) 2>conftest.er1
     ac_status=$?
     grep -v '^ *+' conftest.er1 >conftest.err
     rm -f conftest.er1
     cat conftest.err >&5
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -z "$ac_c_werror_flag"
                            || test ! -s conftest.err'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; } &&
            { ac_try='test -s conftest.$ac_objext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     ac_header_compiler=yes
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   ac_header_compiler=no
   fi
   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
   echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
   echo "${ECHO_T}$ac_header_compiler" >&6
   
   # Is the header present?
   echo "$as_me:$LINENO: checking sys/appleapiopts.h presence" >&5
   echo $ECHO_N "checking sys/appleapiopts.h presence... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   #include <sys/appleapiopts.h>
   _ACEOF
   if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     ac_status=$?
     grep -v '^ *+' conftest.er1 >conftest.err
     rm -f conftest.er1
     cat conftest.err >&5
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } >/dev/null; then
     if test -s conftest.err; then
       ac_cpp_err=$ac_c_preproc_warn_flag
       ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     else
       ac_cpp_err=
     fi
   else
     ac_cpp_err=yes
   fi
   if test -z "$ac_cpp_err"; then
     ac_header_preproc=yes
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
     ac_header_preproc=no
   fi
   rm -f conftest.err conftest.$ac_ext
   echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
   echo "${ECHO_T}$ac_header_preproc" >&6
   
   # So?  What about this header?
   case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     yes:no: )
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: accepted by the compiler, rejected by the preprocessor!" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: proceeding with the compiler's result" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h: proceeding with the compiler's result" >&2;}
       ac_header_preproc=yes
       ;;
     no:yes:* )
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: present but cannot be compiled" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h: present but cannot be compiled" >&2;}
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h:     check for missing prerequisite headers?" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h:     check for missing prerequisite headers?" >&2;}
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: see the Autoconf documentation" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h: see the Autoconf documentation" >&2;}
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h:     section \"Present But Cannot Be Compiled\"" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h:     section \"Present But Cannot Be Compiled\"" >&2;}
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: proceeding with the preprocessor's result" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h: proceeding with the preprocessor's result" >&2;}
       { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: in the future, the compiler will take precedence" >&5
   echo "$as_me: WARNING: sys/appleapiopts.h: in the future, the compiler will take precedence" >&2;}
       (
         cat <<\_ASBOX
   ## ------------------------------------------ ##
   ## Report this to the AC_PACKAGE_NAME lists.  ##
   ## ------------------------------------------ ##
   _ASBOX
       ) |
         sed "s/^/$as_me: WARNING:     /" >&2
       ;;
   esac
   echo "$as_me:$LINENO: checking for sys/appleapiopts.h" >&5
   echo $ECHO_N "checking for sys/appleapiopts.h... $ECHO_C" >&6
   if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then
     echo $ECHO_N "(cached) $ECHO_C" >&6
   else
     ac_cv_header_sys_appleapiopts_h=$ac_header_preproc
   fi
   echo "$as_me:$LINENO: result: $ac_cv_header_sys_appleapiopts_h" >&5
   echo "${ECHO_T}$ac_cv_header_sys_appleapiopts_h" >&6
   
   fi
   if test $ac_cv_header_sys_appleapiopts_h = yes; then
     CFLAG2p=" -march=ppc -march=i386"
   
   else
     CFLAG2p=" "
   
   fi
   
   
   
   
           ac_config_files="$ac_config_files Makefile"            ac_config_files="$ac_config_files Makefile"
 cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
Line 4081  s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
Line 4227  s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@CFLAG2@,$CFLAG2,;t t  s,@CFLAG2@,$CFLAG2,;t t
 s,@CPP@,$CPP,;t t  s,@CPP@,$CPP,;t t
 s,@EGREP@,$EGREP,;t t  s,@EGREP@,$EGREP,;t t
   s,@CFLAG2p@,$CFLAG2p,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t  s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF  CEOF

Legend:
Removed from v.1.3  
changed lines
  Added in v.1.4

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>